<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="ko">
<head>
<title>smh TestBoard</title>
<link rel="stylesheet" href="/smhBoard/css/smhBoard_detail.css">

</head>
<body>
<div class="boardContainer">

	<div class="titleDiv">
		<h2 class="title">게시글 상세보기</h2 >
	</div >
	<div class="mainDiv">
		<div class="tableDiv">
			<table class="boardTable">
				<tr>
					<td>제목</td>
					<td th:text="${board.boardTitle}"></td >
				</tr>
				<tr>
					<td>작성자</td>
					<td th:text="${board.boardWriter}"></td >
					<td>작성일</td>
					<td th:text="${board.boardDate}"></td >
					<td>조회수</td>
					<td th:text="${board.boardCnt}"></td >
				</tr>
				<tr>
					<td class="contentTd">내용</td >
					<td th:text="${board.boardContent}"></td >
				</tr>
			</table >

			<button class="btn" id="delBoardBtn"  th:data-bcode="${board.boardCode}">삭제</button >
			<!--data-별칭 지정할 때 대문자 사용 불가능 -->
			<button class="btn" th:onclick="'location.href=\''+@{/smhBoard/updateBoard/{boardCode}(boardCode=${board.boardCode})}+'\';'">수정</button >
			<input class="btn" type="button" onclick="location.href='/smhBoard/list';" value="목록">
		</div >
		
	
		<!--댓글 목록-->
		
		<div class="reListDiv" th:each="reply : ${reply}">
			<table class="replyTable">
					<colgroup>
						<col width="40%">
						<col width="30%">
						<col width="30%">
					</colgroup>
				
				<tr  >
					<td th:text="${reply.replyWriter}"></td>
					<td th:text="${reply.replyDate}"></td>
					<td><button class="redeleBtn" th:onclick="|reDele(${reply.replyCode},${reply.boardCode})|">삭제</button ></td>
				</tr>
				<tr class="reContent">	
					<td th:text="${reply.replyContent}" colspan="2"></td> 
				</tr  >
			</table >	
		</div  >
		<!--댓글 등록-->
		<div class="replyFormDiv">
		<form action="/smhBoard/insertReply" method="POST">
			<input type="hidden" name="replyDate" th:value="${date}">
			<input type="hidden" name="boardCode" id="boardCode" th:value="${board.boardCode}">
			<table>
				<tr>
					<td><input type="text" name="replyWriter" placeholder="아이디를 입력하세요." required></td>
				</tr>
				<tr>
					<td><textarea name="replyContent" placeholder="내용을 입력하세요." required></textarea></td  >
				</tr>
			</table>
			<input class="btn" type="submit" value="댓글 등록">
		</form>	
		</div >
	</div >
</div>

<script src="/smhBoard/js/smhBoard_detail.js"></script  >
</body>


</html>
